Subject: bug#52973: Adding a few context-menu-mode commands

From: Juri Linkov <[email-masked]>
Date: Thu, 06 Jan 2022 10:20:10 +0200

>> > I agree, but is that a real danger?  How much context that gets into
>> > context menu can there be for a single spot in a buffer?
>>
>> I've never seen a context menu longer than about 10 items with short submenus.
>
> So then this is not a real problem, and we shouldn't be worried about
> it, right?

Menus are usually short because long menus is a real problem.

>> > And if indeed there's a lot of useful context, we should produce
>> > multi-level context menus, like we do with buffer-menu.
>> >
>> > Once again: this feature makes no sense whatsoever if turning on the
>> > context-menu-mode doesn't activate the context menus.
>>
>> More context functions have the same discoverability
>> as all user options with multiple choices.
>
> I don't see what discoverability has to do with this.  The issue is
> not discoverability, the issue is to show reasonably useful context
> menus when the user turns on context-menu-mode and right-clicks some
> part of the Emacs display.

If "useful" here means a long menu with all possible items,
then in this case “useful” is the enemy of “usable”.

> Telling the user to do more customizations _after_ turning on
> context-menu-mode makes little sense to me.

There are hundreds of user variables for customization,
and the context menu variable is not different.